#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  lri,
  txs
} from "../../../../chunk-S47BAUBM.js";
import "../../../../chunk-IAWYWZSL.js";
import "../../../../chunk-DHZ7AZKP.js";

// ../../boilerplates/compiled/dist/files/$vite.config.ts.js
async function getViteConfig(props) {
  const mod = await txs(props);
  lri(mod, {
    from: "vite-plugin-compiled-react",
    constructor: "compiled",
    imported: "compiled",
    options: { extract: true }
  });
  return mod.generate().code;
}
export {
  getViteConfig as default
};
